# TODO add a init file for server, if it is worth
# split data if we can force a rpm to be noarch

Summary:	Battle for Wesnoth is a fantasy turn-based strategy game
Name:		wesnoth
Version: 1.2.1
Release: %mkrel 1
License:	GPL
Group:		Games/Strategy
Url:		http://www.wesnoth.org/
Source0:	http://www.wesnoth.org/files/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon.png
Patch0:		wesnoth-0.9.0-fix-non-root-install.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_image-devel SDL_ttf-devel
BuildRequires:	SDL_net-devel SDL_mixer-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	ImageMagick
BuildRequires:	python-devel

%description
Battle for Wesnoth is a fantasy turn-based strategy game.
Battle for control of villages, using variety of units which 
have advantages and disadvantages in different types of terrains and 
against different types of attacks. Units gain experience and advance 
levels, and are carried over from one scenario to the next campaign.

%package -n	%{name}-server
Summary:	Server for "Battle fo Wesnoth" game 
Group:		Games/Strategy

%description -n	%{name}-server
This package contains "Battle for wesnoth" server, used to play multiplayer
game without needing to install the full client.


%prep
%setup -q
#%patch0 -p1 -b .nonroot
%build
%configure	--datadir=%{_gamesdatadir} \
		--bindir=%{_gamesbindir} \
		--enable-server \
		--enable-editor \
        --enable-python \
		--with-localedir=%{_datadir}/locale
#perl -pi -e 's|^localedir = .*|localedir=%{_datadir}/locale|' $(find . -name Makefile )
%make

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}

cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
needs="x11" \
section="More Applications/Games/Strategy" \
title="Battle For Wesnoth" \
longtitle="A fantasy turn-based strategy game." \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
?package(%{name}): \
needs="x11" \
section="More Applications/Games/Strategy" \
title="Battle For Wesnoth editor" \
longtitle="The map editor of Battle for Wesnoth" \
command="%{_gamesbindir}/%{name}_editor" \
icon="%{name}.png" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Battle For Wesnoth
Comment=A fantasy turn-based strategy game.
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Strategy;Game;StrategyGame;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-editor.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Battle For Wesnoth editor
Comment=The map editor of Battle for Wesnoth
Exec=%_gamesbindir/%{name}_editor
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Strategy;Game;StrategyGame;
EOF

%find_lang %{name} --all-name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc changelog MANUAL MANUAL.* README
%exclude %{_gamesbindir}/%{name}d
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_mandir}/*/%{name}.*
%{_mandir}/*/%{name}_editor.*
%lang(de) %{_mandir}/de/*/*
%lang(sv) %{_mandir}/sv/*/*
%lang(cs) %{_mandir}/cs/*/*
%lang(en) %{_mandir}/en_GB/*/*
%lang(cs) %{_mandir}/cs/*/*
%lang(fr) %{_mandir}/fr/*/*
%lang(it) %{_mandir}/it/*/*
%lang(ja) %{_mandir}/ja/*/*
%lang(nl) %{_mandir}/nl/*/*
%lang(pt) %{_mandir}/pt_BR/*/*
%lang(sk) %{_mandir}/sk/*/*
%{_datadir}/applications/*

%files -n %{name}-server
%defattr(-,root,root,0755)
%{_gamesbindir}/%{name}d
%{_mandir}/*/%{name}d.*


%changelog
* Tue Feb 13 2007 Michael Scherer <misc@mandriva.org> 1.2.1-1mdv2007.0
+ Revision: 120238
- 1.2.1

* Sun Dec 24 2006 Michael Scherer <misc@mandriva.org> 1.2-1mdv2007.1
+ Revision: 102019
- upgrade to 1.2

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 1.1.9-2mdv2007.1
+ Revision: 90013
- buildrequire oggvorbis-devel
- buildrequires libogg-devel
- split the desktop file so that a menu entry appears for the game (and not only the editor)
- Import wesnoth



* Thu Aug 31 2006 Michael Scherer <misc@mandriva.org> 1.1.9-1mdv2007.0
- New version 1.1.9
- remove patch0
- xdg menu

* Sun Jun 04 2006 Michael Scherer <misc@mandriva.org> 1.1.4-1mdv2007.0
- 1.1.4

* Sat May 27 2006 Michael Scherer <misc@mandriva.org> 1.1.3-1mdk
- 1.1.3

* Wed Mar 22 2006 Michael Scherer <misc@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Tue Feb 07 2006 Michael Scherer <misc@mandriva.org> 1.1.1-1mdk
- New release 1.1.1
- remove patch 1

* Sun Jan 15 2006 Michael Scherer <misc@mandriva.org> 1.1-2mdk
- fix x86_64 compilation, patch from svn ( patch 1 )

* Fri Jan 06 2006 Michael Scherer <misc@mandriva.org> 1.1-1mdk
- New release 1.1
- enable python

* Tue Dec 06 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-1mdk
- 1.0.2

* Thu Oct 20 2005 Michael Scherer <misc@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Mon Oct 03 2005 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.0

* Thu Sep 08 2005 Michael Scherer <misc@mandriva.org> 0.9.7-1mdk
- New release 0.9.7

* Sun Aug 28 2005 Michael Scherer <misc@mandriva.org> 0.9.6-1mdk
- New release 0.9.6

* Thu Aug 11 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.5-1mdk
- New release 0.9.5

* Fri Jul 22 2005 Michael Scherer <misc@mandriva.org> 0.9.4-1mdk
- New release 0.9.4

* Thu Jun 30 2005 Michael Scherer <misc@mandriva.org> 0.9.3-1mdk
- New release 0.9.3

* Tue Jun 07 2005 Michael Scherer <misc@mandriva.org> 0.9.2-1mdk
- New release 0.9.2

* Mon Apr 25 2005 Michael Scherer <misc@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Tue Apr 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-1mdk
- 0.9.0
- fix install as non root (P0)
- do %%configure in %%build, not %%prep
- drop 'copyright' and 'COPYING' as package is GPL and therefor license is already
  included in common-licenses
- also drop 'INSTALL' as there's no need to ship build instructions with a binary package
- cosmetics

* Sun Feb 20 2005 Michael Scherer <misc@mandrake.org> 0.8.11-1mdk
- New release 0.8.11
- fix rpmlint error

* Sun Feb 06 2005 Michael Scherer <misc@mandrake.org> 0.8.10-1mdk
- New release 0.8.10

* Wed Jan 26 2005 Michael Scherer <misc@mandrake.org> 0.8.9-1mdk
- New release 0.8.9

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.8-1mdk
- New release 0.8.8

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7

* Tue Oct  5 2004 Michael Scherer <misc@mandrake.org> 0.8.5-1mdk
- New release 0.8.5

* Mon Sep 13 2004 Michael Scherer <misc@mandrake.org> 0.8.4-2mdk
- Fix language

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Fri Aug 27 2004 Michael Scherer <misc@mandrake.org> 0.8.3-1mdk
- New release 0.8.3
- do not bzip2 icons
- correct menu

* Sun Aug 15 2004 Michael Scherer <misc@mandrake.org> 0.8.2-1mdk
- New release 0.8.2

* Tue Aug  3 2004 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk
- New release 0.8.1

* Fri Jul  2 2004 Michael Scherer <misc@mandrake.org> 0.8-1mdk
- New release 0.8

* Mon Jun 28 2004 Michael Scherer <misc@mandrake.org> 0.7.11-1mdk
- New release 0.7.11

* Mon Jun 21 2004 Michael Scherer <misc@mandrake.org> 0.7.10-1mdk
- New release 0.7.10

* Fri Jun 11 2004 Michael Scherer <misc@mandrake.org> 0.7.9-1mdk
- New release 0.7.9

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.7.8-2mdk 
- rebuild for new gcc

* Fri May 28 2004 Michael Scherer <misc@mandrake.org> 0.7.8-1mdk
- New release 0.7.8

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 0.7.7-1mdk
- New release 0.7.7

* Tue May  4 2004 Michael Scherer <misc@mandrake.org> 0.7.6-1mdk
- New release 0.7.6

* Mon Apr 26 2004 Michael Scherer <misc@mandrake.org> 0.7.5-1mdk
- New release 0.7.5

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.7.3-1mdk
- New release 0.7.3

* Thu Apr  8 2004 Michael Scherer <misc@mandrakesoft.com> 0.7.2-1mdk
- New release 0.7.2

* Sat Apr 03 2004 Michael Scherer <misc@mandrake.org> 0.7.1-1mdk 
- 0.7.1

* Sun Mar 21 2004 Michael Scherer <misc@mandrake.org> 0.7-1mdk
- 0.7
 
* Wed Dec 17 2003 Michael Scherer <misc@mandrake.org> 0.6.1-1mdk
- 0.6.1
 
* Sat Dec 13 2003 Michael Scherer <misc@mandrake.org> 0.6-2mdk
- split server from the package
- add editor to menu
 
* Fri Dec 12 2003 Michael Scherer <misc@mandrake.org> 0.6-1mdk
- 0.6
- fix BuildRequires
- use configure
 
* Mon Nov 10 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-1mdk 
- 0.5.1

* Sat Nov 01 2003 Michael Scherer <scherer.michael@free.fr> 0.5-1mdk 
- import into contribs, with a spec file from Jay Hopping <jayhopping@myrealbox.com>
